Rygel.XMLUtils.Iterator – librygel-core Reference Manual

# Iterator

## Object Hierarchy:

## Description:

public class Iterator

Convenience class to iterate over Xml.Node's siblings in vala's foreach loop.

All known sub-classes:

- ChildIterator

## Content:

### Creation methods:

- public Iterator (unowned Node* node)

### Methods:

- public Iterator iterator ()
- public bool next ()
- public unowned Node* @get ()